Bug Hunting Session
Bug 84650 - Vertical dots misplaced when used before sum
Summary: Vertical dots misplaced when used before sum
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-04 05:55 UTC by Paulo da Silva
Modified: 2016-12-07 10:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
doc example (11.70 KB, application/vnd.oasis.opendocument.text)
2014-10-04 05:55 UTC, Paulo da Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo da Silva 2014-10-04 05:55:26 UTC
Created attachment 107308 [details]
doc example

Problem description:

Steps to reproduce:
1.Just play the example attached
2.Vertical dots are misplaced. They appear overwriting the sum symbol.

Further notes:

I have a document with the example attached included, prepared with an older version of libreoffice. Can't remember which one.

Open it, correctly displays the vertical dots. But as soon as I double click the formula to edit it the vertical dots move to over the sum symbol. I couldn't get them to the right place anymore.
Comment 1 Jean-Baptiste Faure 2014-10-04 07:59:09 UTC
What is the meaning of these vertical dots in a matrix ?

Best regards. JBF
Comment 2 Paulo da Silva 2014-10-04 16:56:06 UTC
(In reply to Jean-Baptiste Faure from comment #1)
> What is the meaning of these vertical dots in a matrix ?
> 

I use them when I represent a system of linear equations as a matrix, for example, to separate the left side from the right side of the "="s.

Regards
Comment 3 Buovjaga 2014-11-14 18:48:48 UTC
Confirmed on Windows as well.
Sorry, but I'm setting the severity to minor as per this flowchart: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 4 Buovjaga 2015-01-09 14:14:54 UTC
Lowered version number after reproducing with:

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 QA Administrators 2016-01-17 20:01:42 UTC Comment hidden (obsolete)
Comment 6 Paulo da Silva 2016-03-07 03:51:49 UTC
The bug is still present (no changes) for LO 5.1.0.3 (kubuntu 14.04).
Comment 7 Commit Notification 2016-11-18 01:31:24 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=395295a40c24a49c12415ec803860a888d734515

tdf#84650 Fix X-coordinate of SmMatrixNode's elements

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-11-23 21:00:50 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7145b142d21af4d23a21a8490dcbbd0fb42685a&h=libreoffice-5-2

tdf#84650 Fix X-coordinate of SmMatrixNode's elements

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.